#use appimage at

%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}


Summary: Multiplatform transparent client-side encryption of your files in the cloud.
Name: cryptomator
Version: 1.12.3
Release: %mkrel 1
License: GPL
Group: Archiving/Backup
URL: https://cryptomator.org/
Source1: %{name}.desktop
Source2: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no

%description
Encrypt Your Files Before Uploading it to Cloud With Cryptomator


%prep

%build

%install

pushd %{_sourcedir}
wget -nc "https://github.com/cryptomator/cryptomator/releases/download/%{version}/cryptomator-%{version}-x86_64.AppImage"
popd

install -Dm 0755 %{_sourcedir}/cryptomator-%{version}-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus


%changelog
* Sat Mar 02 2024 tex - 1.12.3-1pclos2024
- new version

* Wed Dec 06 2023 tex - 1.11.1-1pclos2023
- new version

* Wed Sep 20 2023 tex - 1.10.1-1pclos2023
- new version

* Mon Sep 11 2023 tex - 1.10.0-1pclos2023
- new version

* Wed Aug 09 2023 tex - 1.9.3-1pclos2023
- new version

* Thu Jul 27 2023 tex - 1.9.1-1pclos2023
- new version

* Fri Apr 07 2023 tex - 1.7.5-1pclos2023
- new version

* Thu Mar 09 2023 tex - 1.7.2-1pclos2023
- new version

* Wed Mar 01 2023 tex - 1.7.0-1pclos2023
- new version

* Wed Dec 14 2022 tex - 1.6.17-1pclos2022
- new version

* Wed Nov 23 2022 tex - 1.6.15-1pclos2022
- new version

* Tue Aug 03 2021 tex - 1.5.15-1pclos2021
- create pkg
